{
    attributes = (
        {
            columnName = "RFO_KEY"; 
            externalType = NUMBER; 
            name = rfoKey; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "RTO_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = rtoCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 400; 
        }, 
        {
            columnName = "RTO_KEY"; 
            externalType = NUMBER; 
            name = rtoKey; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            columnName = "RTO_LIBELLE"; 
            externalType = VARCHAR2; 
            name = rtoLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 120; 
        }
    ); 
    attributesUsedForLocking = (rfoKey, rtoCommentaire, rtoKey, rtoLibelle); 
    className = "org.cocktail.fwkgspot.serveur.metier.eof.EOResaTypeObjet"; 
    classProperties = (rtoCommentaire, rtoLibelle, toResaFamilleObjet, toResaObjets); 
    externalName = "EDTSCOL.RESA_TYPE_OBJET"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkGspot_ResaTypeObjet"; 
    primaryKeyAttributes = (rtoKey); 
    relationships = (
        {
            destination = "FwkGspot_ResaFamilleObjet"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = rfoKey; sourceAttribute = rfoKey; }); 
            name = toResaFamilleObjet; 
        }, 
        {
            destination = "FwkGspot_ResaObjet"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = rtoKey; sourceAttribute = rtoKey; }); 
            name = toResaObjets; 
        }
    ); 
}
